Name:          libode
Version:       0.13
Release:       1mamba
Summary:       An open source, high performance library for simulating rigid body dynamics
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Stefano Cotta Ramusino <stefano.cotta@openmamba.org>
URL:           http://ode.org/
Source:        http://downloads.sourceforge.net/project/opende/ODE/%{version}/ode-%{version}.tar.bz2
Patch0:        %{name}-0.9-makefileso.patch
Patch1:        %{name}-0.9-no-normalize-assert.patch
License:       LGPL, BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
ODE is an open source, high performance library for simulating rigid body dynamics.
ODE is fully featured, stable, mature and platform independent with an easy to use C/C++ API.
It has advanced joint types and integrated collision detection with friction.
ODE is useful for simulating vehicles, objects in virtual reality environments and virtual creatures.
It is currently used in many computer games, 3D authoring tools and simulation tools.

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
ODE is an open source, high performance library for simulating rigid body dynamics.
ODE is fully featured, stable, mature and platform independent with an easy to use C/C++ API.
It has advanced joint types and integrated collision detection with friction.
ODE is useful for simulating vehicles, objects in virtual reality environments and virtual creatures.
It is currently used in many computer games, 3D authoring tools and simulation tools.

This package contains static libraries and header files need for development.

%prep
%setup -q -n ode-%{version}
#%patch0 -p1 -b .makefileso
#%patch1 -p1

%build
export CFLAGS="%{optflags} -ffast-math -fPIC"
export CXXFLAGS="%{optflags} -ffast-math -fPIC"
%configure \
   --enable-shared \
   --enable-soname
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libode.so.*
%doc LICENSE*.TXT README.txt

%files devel
%defattr(-,root,root)
%{_bindir}/ode-config
%{_includedir}/ode/
%{_libdir}/libode.a
%{_libdir}/libode.la
%{_libdir}/libode.so
%{_libdir}/pkgconfig/ode.pc

%changelog
* Sun Feb 16 2014 Automatic Build System <autodist@mambasoft.it> 0.13-1mamba
- automatic version update by autodist

* Sun Oct 20 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 0.12-1mamba
- update to 0.12

* Fri Sep 06 2013 Automatic Build System <autodist@mambasoft.it> 0.9-2mamba
- automatic rebuild by autodist

* Fri Dec 28 2007 Aleph0 <aleph0@openmamba.org> 0.9-1mamba
- update to 0.9

* Tue Oct 24 2006 Stefano Cotta Ramusino <stefano.cotta@qilinux.it> 0.7-1qilnx
- package created by autospec
